<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: DocumentType.php 794 2009-11-27 11:54:13Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\Dom; // PHPTAL_Dom_
use pear2\HTML\Template\PHPTAL as P;


/**
 * Document doctype representation.
 *
 * @package PHPTAL
 * @subpackage Dom
 */
class DocumentType extends P\Dom\Node
{
    public function generateCode(P\Php\CodeWriter $codewriter)
    {
        if ($codewriter->getOutputMode() === P\PHPTAL::HTML5) {
            $codewriter->setDocType('<!DOCTYPE html>');
        } else {
            $codewriter->setDocType($this->getValueEscaped());
        }
        $codewriter->doDoctype();
    }
}
