<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: FileSourceResolver.php 731 2009-09-25 16:31:56Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL; // PHPTAL_
use pear2\HTML\Template\PHPTAL as P;

 
P\PHPTAL::setIncludePath();
require_once 'PHPTAL/SourceResolver.php';
P\PHPTAL::restoreIncludePath();


/**
 * Finds template on disk by looking through repositories first
 *
 * @package PHPTAL
 */
class FileSourceResolver implements P\SourceResolver
{
    public function __construct($repositories)
    {
        $this->_repositories = $repositories;
    }

    public function resolve($path)
    {
        foreach ($this->_repositories as $repository) {
            $file = $repository . \DIRECTORY_SEPARATOR . $path;
            if (file_exists($file)) {
                return new P\FileSource($file);
            }
        }

        if (file_exists($path)) {
            return new P\FileSource($path);
        }

        return null;
    }

    private $_repositories;
}
