<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: Builtin.php 614 2009-05-24 01:52:23Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\Ns; // PHPTAL_Namespace_
use pear2\HTML\Template\PHPTAL as P;


/**
 * @package PHPTAL
 * @subpackage Namespace
 */
class Builtin extends P\Ns
{
    public function createAttributeHandler(P\NsAttribute $att, P\Dom\Element $tag, $expression)
    {
        $name = $att->getLocalName();
        
        // change define-macro to "define macro" and capitalize words
        $name = str_replace(' ', '', ucwords(strtr($name,'-',' ')));

        // case is important when using autoload on case-sensitive filesystems
        if (true && __NAMESPACE__) {
            $class = 'pear2\\HTML\\Template\\PHPTAL\\Php\\Attribute\\'.strtoupper($this->getPrefix()).'\\'.$name;
        } else {
            $class = 'PHPTAL_Php_Attribute_'.strtoupper($this->getPrefix()).'_'.$name;
        }
        $result = new $class($tag, $expression);
        return $result;
    }
}
