<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: I18N.php 610 2009-05-24 00:32:13Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\Ns; // PHPTAL_Namespace_
use pear2\HTML\Template\PHPTAL as P;


require_once 'PHPTAL/Php/Attribute/I18N/Translate.php';
require_once 'PHPTAL/Php/Attribute/I18N/Name.php';
require_once 'PHPTAL/Php/Attribute/I18N/Domain.php';
require_once 'PHPTAL/Php/Attribute/I18N/Attributes.php';

/**
 * @package PHPTAL
 * @subpackage Namespace
 */
class I18N extends P\Ns\Builtin
{
    public function __construct()
    {
        parent::__construct('i18n', 'http://xml.zope.org/namespaces/i18n');
        $this->addAttribute(new P\NsAttributeContent('translate', 5));
        $this->addAttribute(new P\NsAttributeSurround('name', 5));
        $this->addAttribute(new P\NsAttributeSurround('attributes', 10));
        $this->addAttribute(new P\NsAttributeSurround('domain', 3));
    }
}

