<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: Debug.php 835 2010-01-24 20:50:59Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\Php\Attribute\PHPTAL; // PHPTAL_Php_Attribute_PHPTAL_
use pear2\HTML\Template\PHPTAL as P;

/**
 * @package PHPTAL
 * @subpackage Php.attribute.phptal
 * @author Laurent Bedubourg <lbedubourg@motion-twin.com>
 */
class Debug extends P\Php\Attribute
{
    public function before(P\Php\CodeWriter $codewriter)
    {
        $this->_oldMode = $codewriter->setDebug(true);
    }

    public function after(P\Php\CodeWriter $codewriter)
    {
        $codewriter->setDebug($this->_oldMode);
    }

    private $_oldMode;
}


