<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: Tales.php 605 2009-05-03 02:50:26Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\Php\Attribute\PHPTAL; // PHPTAL_Php_Attribute_PHPTAL_
use pear2\HTML\Template\PHPTAL as P;

/**
 * @package PHPTAL
 * @subpackage Php.attribute.phptal
 * @author Laurent Bedubourg <lbedubourg@motion-twin.com>
 */
class TALES extends P\Php\Attribute
{
    public function before(P\Php\CodeWriter $codewriter)
    {
        $mode = trim($this->expression);
        $mode = strtolower($mode);

        if ($mode == '' || $mode == 'default')
            $mode = 'tales';

        if ($mode != 'php' && $mode != 'tales') {
            throw new P\TemplateException(
                "Unsupported TALES mode '$mode'",
                $this->phpelement->getSourceFile(),
                $this->phpelement->getSourceLine()
            );
        }

        $this->_oldMode = $codewriter->setTalesMode($mode);
    }

    public function after(P\Php\CodeWriter $codewriter)
    {
        $codewriter->setTalesMode($this->_oldMode);
    }

    private $_oldMode;
}


