<?php

/**
 * Generates PHP that writes document in XML mode.
 */
class PHPTAL_Php_Gen_XML extends PHPTAL_Php_Gen_Standard
{
    public function visitCDATA(PHPTAL_Dom_CDATASection $node)
    {
        $value = $node->getValueEscaped();
        $inCDATAelement = PHPTAL_Dom_Defs::getInstance()->isCDATAElementInHTML($node->parentNode->getNamespaceURI(), $node->parentNode->getLocalName());

        if (preg_match('/[<>&]/', $value)) {
            $this->codewriter->pushHTML($this->codewriter->interpolateCDATA('<![CDATA['.$value.']]>'));
        } else {
            $this->codewriter->pushHTML($this->codewriter->interpolateHTML(htmlspecialchars($value)));
        }
    }
}
