<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL\PreFilter; // PHPTAL_PreFilter_
use pear2\HTML\Template\PHPTAL as P;

 
class StripComments extends P\PreFilter 
{
    function filterDOM(P\Dom\Element $element)
    {
        $defs = P\Dom\Defs::getInstance();
        
        foreach ($element->childNodes as $node) {
            if ($node instanceof P\Dom\Comment) {
                if ($defs->isCDATAElementInHTML($element->getNamespaceURI(),$element->getLocalName())) {                    
                    $textNode = new P\Dom\CDATASection($node->getValueEscaped(), $node->getEncoding());                    
                    $node->parentNode->replaceChild($textNode,$node);
                } else {
                    $node->parentNode->removeChild($node);
                }
            } else if ($node instanceof P\Dom\Element) {
                $this->filterDOM($node);
            }
        }
    }
}
