<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: TalesClosuresTest.php 823 2010-01-12 21:57:53Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL; // PHPTAL_
use pear2\HTML\Template\PHPTAL as P;


require_once dirname(__FILE__)."/config.php";

P\PHPTAL::setIncludePath();
require_once 'PHPTAL/Tales.php';
P\PHPTAL::restoreIncludePath();

class TalesClosuresTest extends P\TestCase
{    
    function testClosure()
    {
        $this->markTestIncomplete();
        
        if (version_compare("5.3",PHP_VERSION,">")) $this->markTestSkipped();
        
        $tpl = $this->newPHPTAL();
        
        /* 5.2 can't parse it */
        eval('
        $tpl->closure = function(){return array("testif"=>array("works"=>"fine"));};
        ');
        
        $tpl->setSource("<x tal:content='closure/testif/works'/>");
        
        $this->assertEquals("<x>fine</x>",$tpl->execute());
    }
    
    function testInvoke()
    {
        $this->markTestIncomplete();
        
        if (version_compare("5.3",PHP_VERSION,">")) $this->markTestSkipped();

        $tpl = $this->newPHPTAL();
        $tpl->invoke = new TestInvocable;
        
        $tpl->setSource("<x tal:content='invoke/testif/works'/>");
        
        $this->assertEquals("<x>well</x>",$tpl->execute());
    }
    
    function testInvokeProperty()
    {
        $this->markTestIncomplete();

         if (version_compare("5.3",PHP_VERSION,">")) $this->markTestSkipped();

         $tpl = $this->newPHPTAL();
         $tpl->invoke = new TestInvocable;

         $tpl->setSource("<x tal:content='invoke/prop'/>");

         $this->assertEquals("<x>ok</x>",$tpl->execute());
    }
}

class TestInvocable
{
    function __invoke()
    {
        return array('testif'=>array('works'=>'well'));
    }
    
    public $prop = 'ok';
}
