<?php
/**
 * PHPTAL templating engine
 *
 * PHP Version 5
 *
 * @category HTML
 * @package  PHPTAL
 * @author   Laurent Bedubourg <lbedubourg@motion-twin.com>
 * @author   Kornel Lesiński <kornel@aardvarkmedia.co.uk>
 * @license  http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @version  SVN: $Id: TalesPhpTest.php 836 2010-01-24 22:17:28Z kornel $
 * @link     http://phptal.org/
 */

namespace pear2\HTML\Template\PHPTAL; // PHPTAL_
use pear2\HTML\Template\PHPTAL as P;


require_once dirname(__FILE__)."/config.php";

class TalesPhpTest extends P\TestCase {
    
    function testMix()
    {
        $tpl = $this->newPHPTAL('input/php.html');
        $tpl->real = 'real value';
        $tpl->foo = 'real';
        $res = normalize_html($tpl->execute());
        $exp = normalize_html_file('output/php.html');
        $this->assertEquals($exp,$res);
    }
    
    function testPHPAttribute()
    {
        $tpl = $this->newPHPTAL();
        $tpl->setSource('<foo bar="<?php  echo  \'baz\' ; ?>"/>');
        $this->assertEquals('<foo bar="baz"></foo>',$tpl->execute());
    }
}

